package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "reply")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ReplyEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "reply_generator")
  @SequenceGenerator(name = "reply_generator", sequenceName = "reply_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "free_board_id", nullable = false)
  private Long freeBoard;

  @Basic
  @Column(name = "title", nullable = true, length = 200)
  private String title;

  @Basic
  @Column(name = "contents", nullable = true, length = 2000)
  private String contents;
}
