package com.totopia.server.modules.moneys.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.moneys.type.BankingStateName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.io.Serializable;

@Entity(name = "deposit")
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@ToString
@Data
@Builder
@AttributeOverrides({
    @AttributeOverride(name = "updatedBy", column = @Column(name = "approve_admin_id")),
    @AttributeOverride(name = "updatedAt", column = @Column(name = "confirm_date")),
})
public class DepositEntity extends UserDateAuditEntity implements Serializable {

    @Id
    @GeneratedValue(generator = "deposit_generator")
    @SequenceGenerator(name = "deposit_generator", sequenceName = "deposit_sequence", initialValue = 1)
    private Long id;

    @Basic
    @Column(name = "price", nullable = false)
    private Integer price;

    @Basic
    @Column(name = "bonus", nullable = false)
    private Integer bonus;

    @Basic
    @Column(name = "bank_id", nullable = false)
    private Long bank;

    @Basic
    @Column(name = "bank_accounts_id", nullable = false)
    private Short bankAccounts;

    @Basic
    @Enumerated(EnumType.STRING)
    @Column(name = "status", length = 60)
    private BankingStateName status;

}
