package com.totopia.server.modules.moneys.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.moneys.type.BankingStateName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity(name = "pay")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class PayEntity extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "pay_generator")
  @SequenceGenerator(name = "pay_generator", sequenceName = "pay_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "belong_user_id", nullable = false)
  private Long belongUser;

  @Basic
  @Column(name = "banking_user_id", nullable = false)
  private Long bankingUser;

  @Basic
  @Column(name = "price", nullable = false)
  private Integer price;

  @Basic
  @Enumerated(EnumType.STRING)
  @Column(name = "banking_type", length = 60)
  private BankingStateName bankingType;

}
