package com.totopia.server.modules.moneys.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.moneys.type.BankingStateName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.io.Serializable;

@Entity(name = "withdrawal")
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@ToString
@Data
@Builder
@AttributeOverrides({
    @AttributeOverride(name = "updatedBy", column = @Column(name = "approve_admin_id")),
    @AttributeOverride(name = "updatedAt", column = @Column(name = "confirm_date")),
})
public class WithdrawEntity extends UserDateAuditEntity implements Serializable {
    @Id
    @GeneratedValue(generator = "withdraw_generator")
    @SequenceGenerator(name = "withdraw_generator", sequenceName = "withdraw_sequence", initialValue = 1)
    private Long id;

    @Basic
    @Column(name = "price", nullable = false)
    private Integer price;

    @Basic
    @Column(name = "bank_id", nullable = false)
    private Long bank;

    @Basic
    @Enumerated(EnumType.STRING)
    @Column(name = "status", length = 60)
    private BankingStateName status;
}
