package com.totopia.server.modules.site.service;

import com.totopia.server.commons.exception.ResourceNotFoundException;
import com.totopia.server.modules.site.entity.BankAccountsEntity;
import com.totopia.server.modules.site.repository.BankAccountsRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class BankAccountsService {

  @Autowired
  BankAccountsRepository bankAccountsRepository;

  public BankAccountsEntity save(BankAccountsEntity entity) {
    return this.bankAccountsRepository.save(entity);
  }

  public BankAccountsEntity modify(BankAccountsEntity entity) {
    if(entity == null || entity.getId() == 0) {
      log.error("id is not null");
    }

    return this.bankAccountsRepository.save(entity);
  }

  public Short removeById(Short bankInfoId) {
    return bankAccountsRepository.findById(bankInfoId).map(bankInfo -> {
      bankAccountsRepository.delete(bankInfo);
      return bankInfoId;
    }).orElseThrow(() -> new ResourceNotFoundException("BankInfoEntity", "bankInfoId", bankInfoId));
  }

  public Page<BankAccountsEntity> getAllBankInfo(Pageable pageable) {

    return this.bankAccountsRepository.findAll(pageable);
  }

  public List<BankAccountsEntity> getAllBankInfoTest() {


    return this.bankAccountsRepository.findAll();
  }

  public BankAccountsEntity getBankInfoById(Short bankInfoId) {
    return this.bankAccountsRepository.findById(bankInfoId).orElseThrow(null);
  }
}
