package com.totopia.server.modules.special.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "check_notice")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class CheckNoticeEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "check_notice_generator")
  @SequenceGenerator(name = "check_notice_generator", sequenceName = "check_notice_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "enable", nullable = false)
  private Boolean enable = true;

  @Basic
  @Column(name = "contents", nullable = true, length = 2000)
  private String contents;
}
